
QGIS Application - Bug report #15624

WMS in atlas

2016-09-27 10:52 AM - Konradin Fischer

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.3 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23547

Description

the map contains postgis-layers and a WMS-layer

the print composer atlas doesn't show the WMS-Layer

the WMS is not included in the export as well (PDF)

History

#1 - 2016-09-28 08:19 AM - Konradin Fischer

- Assignee set to Matthias Kuhn

#2 - 2016-09-28 11:42 AM - Nyall Dawson

- Status changed from Open to Feedback

- Assignee deleted (Matthias Kuhn)

There's not enough info here to diagnose. Please share a stuff contained project which demonstrates this behaviour.

#3 - 2016-09-29 01:20 AM - Konradin Fischer

there are confidential date in the project, i sent it on a privat channel to matthias kuhn

when i use the WMS-layer a first time in the atlas, then it works. if i save the project and start again then the WMS-layer is no more there

#4 - 2016-09-29 06:08 AM - Matthias Kuhn

That's the debug output when it's rendered from the print composer:

server replied: Internal Server Error

url:https://wms.swisstopo.admin.ch/wss/httpauth/swisstopowms//?SERVICE=WMS&VERSION=1.3.0&REQUEST=GetMap&BBOX=711354.998926489614,271934.1044393929769,717718.028262

14,271934.1044393929769,717718.0282621630467,277914.0470612463541&CRS=EPSG:21781&WIDTH=572&HEIGHT=537&LAYERS=ch.swisstopo.landeskarte-farbe-10&STYLES=&FORMAT=image/jpeg&DPI=23&MAP_RESOLUTION=23&FORMAT_OPTIONS=dpi:23]

o.landeskarte-farbe-10&STYLES=&FORMAT=image/jpeg&DPI=23&MAP_RESOLUTION=23&FORMAT_OPTIONS=dpi:23]

Any educated guess?

#5 - 2016-10-03 08:56 PM - Martin Dobias

Some issues with DPI maybe? I do not have access to the WMS, so it is difficult to tell...

2025-04-27 1/2



#6 - 2017-01-03 05:59 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Just tested on 2.18.2 with a WMS service (mapserver) protected by basic apache http authentication, and all work as expected. I suspect a server

configuration issue. Please reopen if you have more elements that can help troubleshoot your problem.

#7 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
